For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI Reference
  • Data API
      • POSTBatch Operation
      • GETGet Records
      • POSTInsert Records
      • DELDelete Records
      • GETGet Record By ID
      • PUTUpdate Record
      • DELDelete Record
LogoLogo
Login
Login
Data APIRecords

Batch Operation

POST
/v1/vaults/:vaultID
POST
/v1/vaults/:vaultID
$curl -X POST https://{{vault_uri}}.vault.skyflowapis.com/v1/vaults/vaultID \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "records": [
> {
> "fields": {
> "drivers_license_number": "89867453",
> "name": "Connor",
> "phone_number": "8794523160",
> "ssn": "143-89-2306"
> },
> "tableName": "persons",
> "method": "POST",
> "batchID": "persons-12345",
> "redaction": "PLAIN_TEXT",
> "tokenization": false,
> "downloadURL": false,
> "upsert": "drivers_license_number"
> },
> {
> "fields": {},
> "tableName": "persons",
> "method": "GET",
> "batchID": "persons-12345",
> "redaction": "PLAIN_TEXT",
> "tokenization": false,
> "ID": "f1dbc55c-7c9b-495d-9a36-72bb2b619202",
> "downloadURL": true
> }
> ]
>}'
1{
2 "vaultID": "cd1d815aa09b4cbfbb803bd20349f202",
3 "responses": [
4 {
5 "records": [
6 {
7 "fields": {
8 "drivers_license_number": "*REDACTED*",
9 "id_proof": "https://<aws-url>/f244fg04bgh876qemk6c3a32256e2k90/record_file/cd1d815aa09b4cbfbb803bd20349f202/c2d1debe468923c08f32470a9dh789f9/f1dbc55c-7c9b-495d-9a36-72bb2b619202/8fa99367cf58h5w296eaf15d6f42a4d237cbab65?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=<aws-credential>&X-Amz-Date=20230622T100910Z&X-Amz-Expires=900&X-Amz-SignedHeaders=host&X-Amz-Signature=<aws-signature>",
10 "name": "B***ok",
11 "phone_number": "XXXXXX7533",
12 "skyflow_id": "f1dbc55c-7c9b-495d-9a36-72bb2b619202",
13 "ssn": "XXX-XX-7645"
14 },
15 "skyflow_id": "4bc4a3a6-dfba-4314-809d-5ca63d43c732"
16 }
17 ]
18 }
19 ]
20}
Performs multiple record operations in a single transaction.
Was this page helpful?
Previous

Get Records

Next
Built with

Authentication

AuthorizationBearer

Access token, prefixed by Bearer .

Path parameters

vaultIDstringRequired
ID of the vault.

Request

This endpoint expects an object.
recordslist of objectsRequired
Record operations to perform.
continueOnErrorbooleanOptionalDefaults to false

If true, continues processing remaining operations when one operation returns an error. If false, stops processing remaining operations when one operation returns an error.

Response

OK
vaultIDstring
ID of the vault.
responseslist of objects
Responses in the same order as in the request. Responses have the same payload structure as their corresponding APIs:
  • POST returns an Insert Records response.
  • PUT returns an Update Record response.
  • GET returns a Get Record response.
  • DELETE returns a Delete Record response.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error